<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:h="http://xmlns.jcp.org/jsf/html" xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets" xmlns:p="http://xmlns.jcp.org/jsf/passthrough">
<h:body role="document">
	<ui:composition template="../templates/main.xhtml">

		<ui:define name="title">${localized.titleRegistration}</ui:define>

		<ui:define name="content">
			<div class="page-header">
				<div class="media">
					<div class="media-left" style="font-size:250%;">
						<span class="glyphicon glyphicon-user" />
					</div>
					<div class="media-body media-bottom">
						<h1 class="media-heading">
							${localized.titleRegistration}
						</h1>
					</div>
				</div>
			</div>

			<div class="row">
				<div class="col-md-8">
					<div class="panel panel-default">
						<div class="panel-body">
							<h:form styleClass="form-horizontal" id="formRegistrationInput">
								<h:messages styleClass="alert alert-danger" p:role="alert" />

								<div class="form-group">
									<label for="inputFirstName" class="col-sm-3 control-label">${localized.inputProfileFirstname}</label>
									<div class="col-sm-9">
										<h:inputText value="#{userAction.firstName}"  p:placeholder="${localized.inputProfileFirstname}" styleClass="form-control" p:type="text" id="inputFirstName" />
									</div>
								</div>
								<div class="form-group">
									<label for="inputSurname" class="col-sm-3 control-label">${localized.inputProfileLastname}</label>
									<div class="col-sm-9">
										<h:inputText value="#{userAction.lastName}" p:placeholder="${localized.inputProfileLastname}" styleClass="form-control" p:type="text" id="inputSurname" />
									</div>
								</div>
								<div class="form-group">
									<label for="inputOrganisation" class="col-sm-3 control-label">${localized.inputProfileOrganisation}</label>
									<div class="col-sm-9">
										<h:inputText p:placeholder="${localized.inputProfileOrganisation}" styleClass="form-control" p:type="text" id="inputOrganisation" />
									</div>
								</div>
								<div class="form-group">
									<label for="inputEmail" class="col-sm-3 control-label">${localized.inputProfileEmail}</label>
									<div class="col-sm-9">
										<h:inputText value="#{userAction.email}" p:placeholder="${localized.inputProfileEmail}" styleClass="form-control" required="true" requiredMessage="${localized.msgRequiredRegistrationEmail}" p:type="email" id="inputEmail" />
									</div>
								</div>
								<div class="form-group">
									<label for="inputDescription" class="col-sm-3 control-label">${localized.inputMiscDescription}</label>
									<div class="col-sm-9">
										<h:inputTextarea required="false" styleClass="form-control" id="inputDescription" />
									</div>
								</div>
								<div class="form-group">
									<label for="inputUsername" class="col-sm-3 control-label">${localized.inputProfileUsername}</label>
									<div class="col-sm-9">
										<h:inputText value="#{userAction.username}" p:placeholder="${localized.inputProfileUsername}" required="true" requiredMessage="${localized.msgRequiredMiscUserName}" styleClass="form-control"
											p:type="text" id="inputUsername" />
									</div>
								</div>
								<div class="form-group">
									<label for="inputPassword" class="col-sm-3 control-label">${localized.inputMiscPassword}</label>
									<div class="col-sm-9">
										<h:inputSecret value="#{userAction.password}" p:placeholder="${localized.inputMiscPassword}" required="true" requiredMessage="${localized.msgRequiredMiscPassword}" styleClass="form-control" p:type="password" id="inputPassword" />
									</div>
								</div>
								<div class="form-group">
									<label for="inputConfirmPassword" class="col-sm-3 control-label">${localized.inputMiscConfirmPassword}</label>
									<div class="col-sm-9">
										<h:inputSecret value="#{userAction.confirmedPassword}" p:placeholder="${localized.inputMiscConfirmPassword}" required="true" requiredMessage="${localized.msgRequiredMiscPasswordConfirm}" styleClass="form-control" p:type="password" id="inputConfirmPassword" />
									</div>
								</div>
								<div class="form-group">
									<div class="col-sm-offset-3 col-sm-9">
										<h:commandButton disabled="true" value="${localized.labelProfileRegistration}" action="#{userAction.register()}" styleClass="btn btn-success" id="buttonRegister"/>
									</div>
								</div>
							</h:form>
						</div>
					</div>
				</div>
				<div class="col-md-4">
					<div class="panel panel-info">
						<div class="panel-heading">${localized.infoMiscPanelHeaderInformation}</div>
						<div class="panel-body">
							<h:outputText value="${localized.infoDescriptionProfileRegistration}"
										  escape="false" />
						</div>
						<div class="panel-footer">
							<a href="../user/login.xhtml">${localized.linkProfileRegistrationAccountExists}</a>
						</div>
					</div>
				</div>
			</div>
		</ui:define>
	</ui:composition>
</h:body>
</html>